"use strict";
this.name			= "cargoWreckBarrel";
this.author			= "Arexack Heretic (oxp) & Eric Walch (js script)";
this.copyright		= "Share alike";
this.description    = "Code for a generic pod";
this.version		= "1.7.2";


/* 
    "this.shipSpawned" is in rare occasions skipped in Oolite 1.73 or older, because in some occasions
    the splinter is scooped before the this.shipSpawned is triggered. (This could for example happen when
    the player rams the target to death and barrels fly directly into the scoop.
    But, once scooped, "this.shipSpawned" will never trigger again! (fixed in Oolite 1.74)
    Initialising on scooping now, to also have less code to execute during the explosion itself.
*/
this.initialise = function ()
{
    this.message = this.ship.scriptInfo.message;
    this.cargotype = this.ship.scriptInfo.cargotype;
    this.quantity = parseInt(this.ship.scriptInfo.quantity);
    // use parseInt for open step plists or you will be awarding wrong quantities.
    if (isNaN(this.quantity)) {this.quantity = 1; log(this.name, "Detected a NaN quantity for: "+this.cargotype)};
    if (this.quantity < 0) this.quantity = Math.ceil(Math.random()*(-this.quantity));
    if (this.quantity > 1) this.message = this.message.replace("gram ", "grams ");
    if (this.quantity > 0 && this.cargotype) this.ship.setCargo(this.cargotype, this.quantity);
    this.message = this.quantity + " " + expandDescription(this.message);
    this.init = true;
};


this.shipWasScooped = function (scooper)
{
    if (!this.init) this.initialise();
    if (scooper.isPlayer)
    {
        player.consoleMessage(this.message);
    }
};
